Subject: bug#18142: Emacs starts slowly in case of wrong hostname (/etc/hosts)

From: Stefan Monnier <[email-masked]>
Date: Wed, 06 Aug 2014 13:07:26 -0400

>> https://bugzilla.redhat.com/show_bug.cgi?id=923418
>> I have a question. I know that emacs does not modify hostname.
>> That's correct.
>> But my question is whether emacs can check validity of hostname during start
>> and in case of failure inform user that hostname is wrong.
> There's been an etc/PROBLEMS entry about this for at least a decade, so
> my guess is: no.

Tho, maybe we could add code that (heuristically) detects when we get
a timeout, and then emits a message pointing to the likely culprit.

        Stefan